User Tag List

View Poll Results: iOS SDK

Voters
30. You may not vote on this poll
  • iOS 5 SDK

    24 80.00%
  • iOS 4 SDK

    6 20.00%
  • iOS 3 SDK

    0 0%
Page 1 of 3 1 2 3 LastLast
Results 1 to 10 of 26

Thread: Poll: Which iOS SDK do you use?

  1. #1
    Clickteam Clickteam
    Anders's Avatar
    Join Date
    Jun 2006
    Location
    Denmark, Århus
    Posts
    3,455
    Mentioned
    5 Post(s)
    Tagged
    1 Thread(s)

    Poll: Which iOS SDK do you use?

    Hi everybody!
    Here are Clickteam we are wondering which versions of of the iOS SDK you are using.
    It matters because we want to give you the best possible runtime as we can.

    Recently we have run into some limitations of what we can do with the older SDK's (iOS4 specifically), and we wanted to know if the iOS4 SDK is even used by anyone any longer now that iOS5 have been out for a while.
    To be precise these are the current things we have workarounds for in iOS4:
    - Screen layout: We offset the screen by a few pixels as a workaround for a black-screen bug in iOS4.
    - No asynchronous image downloading in Active Picture (we fall back to synchronous download that pauses the app while downloading)
    - Hi-Score object uses an ugly hack to implement the text input in the text dialog which can cause some interface problems.

    We don't want to remove support for iOS4 as long as people are using it, but it is holding us back a bit.
    I recently found out a way to make the Game Center Leaderboards show up in the correct orientation, plus it allows for smooth animated screen rotation when you use auto-landscape and auto-portrait mode - but it requires us to go full iOS5 then.

    So which iOS SDK do you currently use to compile your games exported from MMF2?

  2. #2
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export ModuleMac Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    Koji_Kabuto's Avatar
    Join Date
    Jul 2006
    Location
    Venezuela
    Posts
    2,851
    Mentioned
    2 Post(s)
    Tagged
    0 Thread(s)
    Hi Andos, iOS 5 SDK is fine for me!

  3. #3
    Clicker Fusion 2.5 DeveloperiOS Export ModuleSWF Export ModulePatch Maker
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)
    Renatos's Avatar
    Join Date
    Jun 2006
    Location
    São Paulo, SP - Brasil
    Posts
    591
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    iOS5

  4. #4
    Clicker Multimedia Fusion 2 DeveloperiOS Export ModuleSWF Export Module
    knpmaster's Avatar
    Join Date
    Jul 2007
    Location
    Cinnaminson NJ
    Posts
    86
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I'm pretty sure I use iOS 5

  5. #5
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export ModuleXNA Export Module
    DTownTony's Avatar
    Join Date
    Sep 2010
    Location
    Detroit
    Posts
    429
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    iOS 5 100%

  6. #6
    Forum Moderator Fusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleSWF Export ModuleMac Export Module
    AndyH's Avatar
    Join Date
    Jun 2006
    Location
    UK
    Posts
    1,445
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)
    I'm not sure what benefit it would be to use iOS4 or older now? I'd say go with iOS5.
    Andy H @ ovine.net
    Awful Jokes - a new cartoon every day: http://awful.ovine.net/
    Ovine's games: http://www.ovine.net

  7. #7
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    DaveC's Avatar
    Join Date
    Jun 2007
    Location
    Perth, Australia
    Posts
    2,117
    Mentioned
    13 Post(s)
    Tagged
    0 Thread(s)
    do you mean we would only be able to build apps that can run on iOS 5+? I'm pretty sure some iPhones can't update past iOS4 so it would limit users a little..

  8. #8
    Clickteam Clickteam
    Anders's Avatar
    Join Date
    Jun 2006
    Location
    Denmark, Århus
    Posts
    3,455
    Mentioned
    5 Post(s)
    Tagged
    1 Thread(s)
    My iPod Touch 3rd gen runs iOS5 flawlessly. I don't know which iOS SDK is the oldest Apple accepts when it comes to App Store approval. Does anyone know?

  9. #9
    Clicker Fusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleSWF Export ModuleXNA Export ModuleUnicode Add-on
    mobichan's Avatar
    Join Date
    Oct 2007
    Location
    Buffalo, NY
    Posts
    3,294
    Mentioned
    27 Post(s)
    Tagged
    0 Thread(s)
    I am using iOS 5. And my 3rd gen ipod touch is running iOS 5 as well.

  10. #10
    Clicker

    Fusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleSWF Export ModuleXNA Export Module
    geothefaust's Avatar
    Join Date
    Jul 2006
    Location
    Portland, OR
    Posts
    498
    Mentioned
    3 Post(s)
    Tagged
    0 Thread(s)
    I'm using iOS 4 SDK, only because I saw there were some bugs with MMF2 iOS exporter with Lion, so I have stuck with Snow Leopard. Are there still show stopper bugs with the exporter with Lion?


    Why not support both, and choose which version your game/app is targeting much like another exporter in testing does?

Page 1 of 3 1 2 3 LastLast

Similar Threads

  1. New Logo Poll
    By EnhancedStar in forum Articles
    Replies: 0
    Last Post: 4th February 2013, 01:28 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •